MAV_surfaceParams(3)

NAME
MAV_surfaceParams - Surface parameters.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  int mode;
  int colour;
  int material;
  int texture;
} MAV_surfaceParams;

DESCRIPTION
Every default object contains a field of type MAV_surfaceParams, which determines ``what colour'' is used to render the object. mode can take one of the following values: an ambient colour a material type a decal texture a texture modulated by the material a blending of the material and texture depending on the texture's alpha value (0=material, 1=texture).

The other fields, colour, material and texture, respectively specify which colour, material and/or texture index to use from the palette associated with the window in which the object is being drawn. Only for the case of ^MAV_LIT_TEXTURE and ^MAV_BLENDED_TEXTURE does more than one index need to be given.

SEE ALSO
mav_surfaceParamsNew